USRP Hardware Driver and USRP Manual: uhd::wb_iface Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::wb_iface Class Reference

`#include <uhd/types/wb_iface.hpp>`

Inheritance diagram for uhd::wb_iface:

## Public Types
typedef std::shared_ptr< wb_iface > | sptr
typedef uint32_t | wb_addr_type

## Public Member Functions
virtual | ~wb_iface (void)
virtual void | poke64 (const wb_addr_type addr, const uint64_t data)
virtual uint64_t | peek64 (const wb_addr_type addr)
virtual void | poke32 (const wb_addr_type addr, const uint32_t data)
virtual uint32_t | peek32 (const wb_addr_type addr)
virtual void | poke16 (const wb_addr_type addr, const uint16_t data)
virtual uint16_t | peek16 (const wb_addr_type addr)

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<wb_iface> uhd::wb_iface::sptr

## ◆ wb_addr_type

typedef uint32_t uhd::wb_iface::wb_addr_type

## Constructor & Destructor Documentation

## ◆ ~wb_iface()

virtual uhd::wb_iface::~wb_iface | ( | void |  | ) |
| virtual

## Member Function Documentation

## ◆ peek16()

virtual uint16_t uhd::wb_iface::peek16 | ( | const wb_addr_type | addr | ) |
| virtual

Read a register (16 bits)

Parameters

  addr | the address

Returns
  the 16bit data

## ◆ peek32()

virtual uint32_t uhd::wb_iface::peek32 | ( | const wb_addr_type | addr | ) |
| virtual

Read a register (32 bits)

Parameters

  addr | the address

Returns
  the 32bit data

## ◆ peek64()

virtual uint64_t uhd::wb_iface::peek64 | ( | const wb_addr_type | addr | ) |
| virtual

Read a register (64 bits)

Parameters

  addr | the address

Returns
  the 64bit data

## ◆ poke16()

virtual void uhd::wb_iface::poke16 | ( | const wb_addr_type | addr,
|  | const uint16_t | data )
| virtual

Write a register (16 bits)

Parameters

  addr | the address
  data | the 16bit data

## ◆ poke32()

virtual void uhd::wb_iface::poke32 | ( | const wb_addr_type | addr,
|  | const uint32_t | data )
| virtual

Write a register (32 bits)

Parameters

  addr | the address
  data | the 32bit data

## ◆ poke64()

virtual void uhd::wb_iface::poke64 | ( | const wb_addr_type | addr,
|  | const uint64_t | data )
| virtual

Write a register (64 bits)

Parameters

  addr | the address
  data | the 64bit data

The documentation for this class was generated from the following file:

- wb_iface.hpp